Apache Tomcat 7.0.42

## org.apache.jasper.el
Class ELContextImpl

    java.lang.Object
      javax.el.ELContext
          org.apache.jasper.el.ELContextImpl

    public final class ELContextImpl

extends ELContext

Implementation of ELContext

Author:
  Jacob Hookom

Constructor Summary
`ELContextImpl()`
`ELContextImpl(ELResolver resolver)`

Method Summary
`static ELResolver` `getDefaultResolver()`
`ELResolver` `getELResolver()`
`FunctionMapper` `getFunctionMapper()`
`VariableMapper` `getVariableMapper()`
`void` `setFunctionMapper(FunctionMapper functionMapper)`
`void` `setVariableMapper(VariableMapper variableMapper)`

Methods inherited from class javax.el.ELContext
`getContext, getLocale, isPropertyResolved, putContext, setLocale, setPropertyResolved`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ELContextImpl

    public ELContextImpl()

### ELContextImpl

    public ELContextImpl(ELResolver resolver)

Method Detail

### getELResolver

    public ELResolver getELResolver()

  Specified by:
    `getELResolver` in class `ELContext`

### getFunctionMapper

    public FunctionMapper getFunctionMapper()

  Specified by:
    `getFunctionMapper` in class `ELContext`

### getVariableMapper

    public VariableMapper getVariableMapper()

  Specified by:
    `getVariableMapper` in class `ELContext`

### setFunctionMapper

    public void setFunctionMapper(FunctionMapper functionMapper)

### setVariableMapper

    public void setVariableMapper(VariableMapper variableMapper)

### getDefaultResolver

    public static ELResolver getDefaultResolver()

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.